{*****************************************************************************}
{  DDObjects                                            www.delphi-online.at  }
{  Copyright (C) 2006 Stefan Meisner, stefan.meisner@gmx.net                  }
{  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS    }
{  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABI-    }
{  LITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY  }
{  RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR   }
{  ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,   }
{  TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFT-    }
{  WARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                         }
{*****************************************************************************}

unit ServerAMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, uServerBaseForm, uTestClassA_Stub, DDOBase, DDOServer, ComCtrls,
  DDOProgressBar, DDODataGrid, StdCtrls, Spin, Buttons, ExtCtrls;

type
  TMainForm = class(TServerBaseForm)
    procedure FormCreate(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

type
  TTestClassA = class(TTestClassA_Stub)
  public
    procedure GetInfo(out SomeInfo: String); override;
  end;

//----------------------------------------------------------------------------
//2006-02-27 N,SM:
//2006-02-27 R,SM:

procedure TMainForm.FormCreate(Sender: TObject);
begin
  inherited;
  DDOListener1.RegisterClass(TTestClassA);
end;

//----------------------------------------------------------------------------
//2006-02-27 N,SM:
//2006-02-27 R,SM:

procedure TTestClassA.GetInfo(out SomeInfo: String);
begin
  SomeInfo := 'SomeInfo from ' + ClassName;
end;

end.
